import React, { useContext } from 'react';

import { AuthContext } from "./../contexts/AuthContext";

function Header() {
  const authContext = useContext(AuthContext);

  const logoutHandler = (e) => {
    e.preventDefault();
    authContext.logout();    
  }

  return (
    <div className="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-white border-bottom shadow-sm">
      <h5 className="my-0 mr-md-auto font-weight-normal">
        <a href="/" className="text-dark">
          M2 Iwocs
        </a>
      </h5>
      {!authContext.isLoggedIn && (
        <>
          <nav className="my-2 my-md-0 mr-md-3">
            <a className="p-2 text-dark" href="/sign-in">
              Login
            </a>
          </nav>
          <a className="btn btn-outline-primary" href="/register">
            Sign up
          </a>
        </>
      )}
      {authContext.isLoggedIn && (
        <nav className="my-2 my-md-0 mr-md-3">
            <a className="p-2 text-dark" onClick={logoutHandler}>
              Logout
            </a>
          </nav>
      )}
    </div>
  );
}

export default Header;